# REM-CHAN



<img styles="algin:center" src="https://git.wordfights.com/masterhc/Remchanv2/raw/branch/master/public/images/297223b974b01cc567b25a200d1e3229.png">


Rem-chan is a versatile and interactive Discord bot themed around the character [Rem](https://Anilist.co/character/88575). With a variety of commands ranging from administrative tasks to fun image-related and random activities, Rem-chan brings an engaging experience to your server. Whether you're managing your server, searching for anime or manga information, or simply enjoying some random fun with coin flips and image commands, Rem-chan adds a touch of anime-inspired charm to your Discord community
 
## Prefix

The default prefix is "!"

## Commands

### Admin
- **activateStrikes** (Aliases: aStrike)
  - *Description:* Activates strikes for the guild. Can be called again to disable.

- **ban**
  - *Description:* Bans a user from the server.

- **clearchat** (Aliases: clear)
  - *Description:* Clears the channel where it was used. You can pass a message ID to clear around it.

- **createchannel** (Aliases: channel)
  - *Description:* Creates a text-based channel on the category the command was used.

- **createvoicechannel** (Aliases: voicechannel)
  - *Description:* Creates a voice-based channel on the category the command was used.

- **deletechannel** (Aliases: delchannel)
  - *Description:* Deletes the channel it was used in.

- **guilds**
  - *Description:* Shows a list of guilds that are using Rem-chan.

- **kick**
  - *Description:* Kicks a member from the server.

- **prune**
  - *Description:* Kicks everyone that has no roles on the server and has been on the server for more than 10 days.

- **purge**
  - *Description:* Rebuilds the channel it was used in.

- **removerustcommitschannel** (Aliases: unsetrustcommits, urustc)
  - *Description:* Removes a channel from the rust commits feed.

- **resetFeedChannel** (Aliases: rsetFeef, rFeed)
  - *Description:* Resets feed display on this channel. You can then set another feed or the same to use this channel.

- **setFeedId** (Aliases: setYTFeed, setytf, setYTF)
  - *Description:* Sets the message channel where a defined YouTube channel feed will be displayed. (Order: YouTube channel URL, Discord channel ID, Custom message to display when a new video is released)

- **setFreeGamesChannel** (Aliases: freegamesc, freec)
  - *Description:* Sets the channel that will receive the free games/deals updates.

- **setRoleRule** (Aliases: rolerule, setrr)
  - *Description:* Sets an auto-role rule. Requires four arguments in the following order: MessageID; RoleID; Emoji. MessageID refers to the message where Rem will look for reactions and then set a role to a user.

- **setcrackwatchchannel** (Aliases: rustcommits, rustc)
  - *Description:* This command will use the indicated channel to show updates from the CrackWatch website. It is necessary to use this command again each time the bot has an update.

- **setrustcommitschannel** (Aliases: rustcommits, rustc)
  - *Description:* Sets the channel that will receive the rust commits.

- **strike**
  - *Description:* Strikes a user. Usage: !strike @USER REASON
- **poll**
  - *Description:* Make a poll of whatever you want. Usage: !poll QUESTION? "OPTION1" "OPTION2" "OPTION3". Be sure to add the quotation marks on the options.


### Image

- !cry
- !cuddle
- !hug
- !kiss 
- !lewd
- !lick
- !owo
- !pat
- !pout
- !rem
- !slap
- !smug
- !stare
- !tickle 
- !triggered

### Search

- !anime
  - *Description:* Presents information about the searched anime. This command only works with arguments.

- !manga
  - *Description:* Presents information about the searched manga. This command only works with arguments.

- !char
  - *Description:* Presents information about the searched character. This command only works with arguments.

### Random

- !coinflip
  - *Description:* Presents the result of a coin flip.

- !roll
  - *Description:* Presents the result of a common dice roll.

- !say
  - *Description:* Presents a message written by the bot and read in TTS. This command only works with arguments; the argument is the desired message.

- !tableflip
  - *Description:* Presents the emoji (╯°□°）╯︵ ┻━┻

# Credits

**All copyrights of each code part belong to the respective owners.**