/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
declare const _exports: {
    new <DocType = {
        cID: string;
        for: string;
        name?: string;
    }>(doc?: DocType, fields?: any, options?: boolean | mongoose.AnyObject): mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    };
    aggregate<R = any>(pipeline?: mongoose.PipelineStage[], options?: import("mongodb").AggregateOptions, callback?: mongoose.Callback<R[]>): mongoose.Aggregate<R[]>;
    aggregate<R_1 = any>(pipeline: mongoose.PipelineStage[], callback?: mongoose.Callback<R_1[]>): mongoose.Aggregate<R_1[]>;
    base: typeof mongoose;
    baseModelName: string;
    castObject(obj: mongoose.AnyObject, options?: {
        ignoreCastErrors?: boolean;
    }): {
        cID: string;
        for: string;
        name?: string;
    };
    bulkWrite(writes: import("mongodb").AnyBulkWriteOperation<{
        cID: string;
        for: string;
        name?: string;
    }>[], options: import("mongodb").BulkWriteOptions & mongoose.MongooseBulkWriteOptions, callback: mongoose.Callback<import("mongodb").BulkWriteResult>): void;
    bulkWrite(writes: import("mongodb").AnyBulkWriteOperation<{
        cID: string;
        for: string;
        name?: string;
    }>[], callback: mongoose.Callback<import("mongodb").BulkWriteResult>): void;
    bulkWrite(writes: import("mongodb").AnyBulkWriteOperation<{
        cID: string;
        for: string;
        name?: string;
    }>[], options?: import("mongodb").BulkWriteOptions & mongoose.MongooseBulkWriteOptions): Promise<import("mongodb").BulkWriteResult>;
    bulkSave(documents: mongoose.Document<any, any, any>[], options?: import("mongodb").BulkWriteOptions & {
        timestamps?: boolean;
    }): Promise<import("mongodb").BulkWriteResult>;
    collection: mongoose.Collection<import("bson").Document>;
    count(callback?: mongoose.Callback<number>): mongoose.Query<number, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    count(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<number>): mongoose.Query<number, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    countDocuments(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<number>): mongoose.Query<number, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    countDocuments(callback?: mongoose.Callback<number>): mongoose.Query<number, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    create<DocContents = mongoose.AnyKeys<{
        cID: string;
        for: string;
        name?: string;
    }>>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents)[], options?: mongoose.SaveOptions): Promise<(mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    })[]>;
    create<DocContents_1 = mongoose.AnyKeys<{
        cID: string;
        for: string;
        name?: string;
    }>>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_1)[], options?: mongoose.SaveOptions, callback?: mongoose.Callback<(mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    })[]>): Promise<(mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    })[]>;
    create<DocContents_2 = mongoose.AnyKeys<{
        cID: string;
        for: string;
        name?: string;
    }>>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_2)[], callback: mongoose.Callback<(mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    })[]>): void;
    create<DocContents_3 = mongoose.AnyKeys<{
        cID: string;
        for: string;
        name?: string;
    }>>(doc: {
        cID: string;
        for: string;
        name?: string;
    } | DocContents_3): Promise<mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>;
    create<DocContents_4 = mongoose.AnyKeys<{
        cID: string;
        for: string;
        name?: string;
    }>>(...docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_4)[]): Promise<(mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    })[]>;
    create<DocContents_5 = mongoose.AnyKeys<{
        cID: string;
        for: string;
        name?: string;
    }>>(doc: {
        cID: string;
        for: string;
        name?: string;
    } | DocContents_5, callback: mongoose.Callback<mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>): void;
    createCollection<T extends import("bson").Document>(options: import("mongodb").CreateCollectionOptions & Pick<mongoose.SchemaOptions<"type", unknown, {}, {}, {}, {}>, "expires">, callback: mongoose.Callback<import("mongodb").Collection<T>>): void;
    createCollection<T_1 extends import("bson").Document>(callback: mongoose.Callback<import("mongodb").Collection<T_1>>): void;
    createCollection<T_2 extends import("bson").Document>(options?: import("mongodb").CreateCollectionOptions & Pick<mongoose.SchemaOptions<"type", unknown, {}, {}, {}, {}>, "expires">): Promise<import("mongodb").Collection<T_2>>;
    db: mongoose.Connection;
    deleteMany(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.CallbackWithoutResult): mongoose.Query<import("mongodb").DeleteResult, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    deleteMany(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, callback: mongoose.CallbackWithoutResult): mongoose.Query<import("mongodb").DeleteResult, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    deleteMany(callback: mongoose.CallbackWithoutResult): mongoose.Query<import("mongodb").DeleteResult, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    deleteOne(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.CallbackWithoutResult): mongoose.Query<import("mongodb").DeleteResult, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    deleteOne(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, callback: mongoose.CallbackWithoutResult): mongoose.Query<import("mongodb").DeleteResult, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    deleteOne(callback: mongoose.CallbackWithoutResult): mongoose.Query<import("mongodb").DeleteResult, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    events: NodeJS.EventEmitter;
    findById<ResultDoc = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(id: any, projection?: mongoose.ProjectionType<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<ResultDoc>): mongoose.Query<ResultDoc, ResultDoc, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findById<ResultDoc_1 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(id: any, projection?: mongoose.ProjectionType<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<ResultDoc_1>): mongoose.Query<ResultDoc_1, ResultDoc_1, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOne<ResultDoc_2 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, projection?: mongoose.ProjectionType<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<ResultDoc_2>): mongoose.Query<ResultDoc_2, ResultDoc_2, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOne<ResultDoc_3 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, projection?: mongoose.ProjectionType<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<ResultDoc_3>): mongoose.Query<ResultDoc_3, ResultDoc_3, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOne<ResultDoc_4 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<ResultDoc_4>): mongoose.Query<ResultDoc_4, ResultDoc_4, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    hydrate(obj: any, projection?: mongoose.AnyObject, options?: {
        setters?: boolean;
    }): mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    };
    init(callback?: mongoose.CallbackWithoutResult): Promise<mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>;
    insertMany<DocContents_6 = {
        cID: string;
        for: string;
        name?: string;
    }>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_6)[], options: mongoose.InsertManyOptions & {
        lean: true;
    }, callback: mongoose.Callback<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_6>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>[]>): void;
    insertMany<DocContents_7 = {
        cID: string;
        for: string;
        name?: string;
    }>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_7)[], options: mongoose.InsertManyOptions & {
        rawResult: true;
    }, callback: mongoose.Callback<import("mongodb").InsertManyResult<{
        cID: string;
        for: string;
        name?: string;
    }>>): void;
    insertMany<DocContents_8 = {
        cID: string;
        for: string;
        name?: string;
    }>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_8)[], callback: mongoose.Callback<mongoose.HydratedDocument<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_8>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>, {}, {}>[]>): void;
    insertMany<DocContents_9 = {
        cID: string;
        for: string;
        name?: string;
    }>(doc: DocContents_9, options: mongoose.InsertManyOptions & {
        lean: true;
    }, callback: mongoose.Callback<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_9>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>[]>): void;
    insertMany<DocContents_10 = {
        cID: string;
        for: string;
        name?: string;
    }>(doc: DocContents_10, options: mongoose.InsertManyOptions & {
        rawResult: true;
    }, callback: mongoose.Callback<import("mongodb").InsertManyResult<{
        cID: string;
        for: string;
        name?: string;
    }>>): void;
    insertMany<DocContents_11 = {
        cID: string;
        for: string;
        name?: string;
    }>(doc: DocContents_11, options: mongoose.InsertManyOptions & {
        lean?: false;
    }, callback: mongoose.Callback<mongoose.HydratedDocument<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_11>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>, {}, {}>[]>): void;
    insertMany<DocContents_12 = {
        cID: string;
        for: string;
        name?: string;
    }>(doc: DocContents_12, callback: mongoose.Callback<mongoose.HydratedDocument<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_12>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>, {}, {}>[]>): void;
    insertMany<DocContents_13 = {
        cID: string;
        for: string;
        name?: string;
    }>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_13)[], options: mongoose.InsertManyOptions & {
        lean: true;
    }): Promise<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_13>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>[]>;
    insertMany<DocContents_14 = {
        cID: string;
        for: string;
        name?: string;
    }>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_14)[], options: mongoose.InsertManyOptions & {
        rawResult: true;
    }): Promise<import("mongodb").InsertManyResult<{
        cID: string;
        for: string;
        name?: string;
    }>>;
    insertMany<DocContents_15 = {
        cID: string;
        for: string;
        name?: string;
    }>(docs: ({
        cID: string;
        for: string;
        name?: string;
    } | DocContents_15)[]): Promise<mongoose.HydratedDocument<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_15>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>, {}, {}>[]>;
    insertMany<DocContents_16 = {
        cID: string;
        for: string;
        name?: string;
    }>(doc: DocContents_16, options: mongoose.InsertManyOptions & {
        lean: true;
    }): Promise<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_16>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>[]>;
    insertMany<DocContents_17 = {
        cID: string;
        for: string;
        name?: string;
    }>(doc: DocContents_17, options: mongoose.InsertManyOptions & {
        rawResult: true;
    }): Promise<import("mongodb").InsertManyResult<{
        cID: string;
        for: string;
        name?: string;
    }>>;
    insertMany<DocContents_18 = {
        cID: string;
        for: string;
        name?: string;
    }>(doc: DocContents_18, options: mongoose.InsertManyOptions): Promise<mongoose.HydratedDocument<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_18>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>, {}, {}>[]>;
    insertMany<DocContents_19 = {
        cID: string;
        for: string;
        name?: string;
    }>(doc: DocContents_19): Promise<mongoose.HydratedDocument<mongoose.MergeType<mongoose.MergeType<{
        cID: string;
        for: string;
        name?: string;
    }, DocContents_19>, {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>, {}, {}>[]>;
    modelName: string;
    populate(docs: any[], options: string | mongoose.PopulateOptions | mongoose.PopulateOptions[], callback?: mongoose.Callback<(mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    })[]>): Promise<(mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    })[]>;
    populate(doc: any, options: string | mongoose.PopulateOptions | mongoose.PopulateOptions[], callback?: mongoose.Callback<mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>): Promise<mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>;
    validate(callback?: mongoose.CallbackWithoutResult): Promise<void>;
    validate(optional: any, callback?: mongoose.CallbackWithoutResult): Promise<void>;
    validate(optional: any, pathsToValidate: mongoose.PathsToValidate, callback?: mongoose.CallbackWithoutResult): Promise<void>;
    watch<ResultType extends import("bson").Document = any>(pipeline?: Record<string, unknown>[], options?: import("mongodb").ChangeStreamOptions & {
        hydrate?: boolean;
    }): import("mongodb").ChangeStream<ResultType, import("mongodb").ChangeStreamDocument<ResultType>>;
    $where(argument: string | Function): mongoose.Query<(mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    })[], mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    discriminators: {
        [name: string]: mongoose.Model<any, {}, {}, {}, any>;
    };
    translateAliases(raw: any): any;
    distinct<ReturnType_1 = any>(field: string, filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<number>): mongoose.Query<ReturnType_1[], mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    estimatedDocumentCount(options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<number>): mongoose.Query<number, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    exists(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, callback: mongoose.Callback<{
        _id: mongoose.Types.ObjectId;
    }>): mongoose.Query<Pick<mongoose.Document<{
        cID: string;
        for: string;
        name?: string;
    }, any, any>, "_id">, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    exists(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>): mongoose.Query<{
        _id: mongoose.Types.ObjectId;
    }, mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    find<ResultDoc_5 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, projection?: mongoose.ProjectionType<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<ResultDoc_5[]>): mongoose.Query<ResultDoc_5[], ResultDoc_5, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    find<ResultDoc_6 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, projection?: mongoose.ProjectionType<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<ResultDoc_6[]>): mongoose.Query<ResultDoc_6[], ResultDoc_6, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    find<ResultDoc_7 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<ResultDoc_7[]>): mongoose.Query<ResultDoc_7[], ResultDoc_7, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    find<ResultDoc_8 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(callback?: mongoose.Callback<ResultDoc_8[]>): mongoose.Query<ResultDoc_8[], ResultDoc_8, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findByIdAndDelete<ResultDoc_9 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(id?: any, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: (err: NativeError, doc: ResultDoc_9, res: any) => void): mongoose.Query<ResultDoc_9, ResultDoc_9, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findByIdAndRemove<ResultDoc_10 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(id?: any, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: (err: NativeError, doc: ResultDoc_10, res: any) => void): mongoose.Query<ResultDoc_10, ResultDoc_10, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findByIdAndUpdate<ResultDoc_11 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(id: any, update: mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }> & {
        rawResult: true;
    }, callback?: (err: NativeError, doc: any, res: any) => void): mongoose.Query<mongoose.ModifyResult<ResultDoc_11>, ResultDoc_11, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findByIdAndUpdate<ResultDoc_12 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(id: any, update: mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }> & {
        upsert: true;
    } & mongoose.ReturnsNewDoc, callback?: (err: NativeError, doc: ResultDoc_12, res: any) => void): mongoose.Query<ResultDoc_12, ResultDoc_12, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findByIdAndUpdate<ResultDoc_13 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(id?: any, update?: mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: (err: NativeError, doc: ResultDoc_13, res: any) => void): mongoose.Query<ResultDoc_13, ResultDoc_13, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findByIdAndUpdate<ResultDoc_14 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(id: any, update: mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, callback: (err: NativeError, doc: ResultDoc_14, res: any) => void): mongoose.Query<ResultDoc_14, ResultDoc_14, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOneAndDelete<ResultDoc_15 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: (err: NativeError, doc: ResultDoc_15, res: any) => void): mongoose.Query<ResultDoc_15, ResultDoc_15, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOneAndRemove<ResultDoc_16 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: (err: NativeError, doc: ResultDoc_16, res: any) => void): mongoose.Query<ResultDoc_16, ResultDoc_16, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOneAndReplace<ResultDoc_17 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, replacement: mongoose.AnyObject | {
        cID: string;
        for: string;
        name?: string;
    }, options: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }> & {
        rawResult: true;
    }, callback?: (err: NativeError, doc: any, res: any) => void): mongoose.Query<mongoose.ModifyResult<ResultDoc_17>, ResultDoc_17, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOneAndReplace<ResultDoc_18 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, replacement: mongoose.AnyObject | {
        cID: string;
        for: string;
        name?: string;
    }, options: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }> & {
        upsert: true;
    } & mongoose.ReturnsNewDoc, callback?: (err: NativeError, doc: ResultDoc_18, res: any) => void): mongoose.Query<ResultDoc_18, ResultDoc_18, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOneAndReplace<ResultDoc_19 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, replacement?: mongoose.AnyObject | {
        cID: string;
        for: string;
        name?: string;
    }, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: (err: NativeError, doc: ResultDoc_19, res: any) => void): mongoose.Query<ResultDoc_19, ResultDoc_19, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOneAndUpdate<ResultDoc_20 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, update: mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }> & {
        rawResult: true;
    }, callback?: (err: NativeError, doc: any, res: any) => void): mongoose.Query<mongoose.ModifyResult<ResultDoc_20>, ResultDoc_20, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOneAndUpdate<ResultDoc_21 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, update: mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }> & {
        upsert: true;
    } & mongoose.ReturnsNewDoc, callback?: (err: NativeError, doc: ResultDoc_21, res: any) => void): mongoose.Query<ResultDoc_21, ResultDoc_21, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    findOneAndUpdate<ResultDoc_22 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, update?: mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: (err: NativeError, doc: {
        cID: string;
        for: string;
        name?: string;
    }, res: any) => void): mongoose.Query<ResultDoc_22, ResultDoc_22, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    geoSearch<ResultDoc_23 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.GeoSearchOptions, callback?: mongoose.Callback<ResultDoc_23[]>): mongoose.Query<ResultDoc_23[], ResultDoc_23, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    mapReduce<Key, Value>(o: mongoose.MapReduceOptions<{
        cID: string;
        for: string;
        name?: string;
    }, Key, Value>, callback?: mongoose.Callback<any>): Promise<any>;
    remove<ResultDoc_24 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: any, callback?: mongoose.CallbackWithoutResult): mongoose.Query<any, ResultDoc_24, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    remove<ResultDoc_25 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: any, options?: mongoose.RemoveOptions, callback?: mongoose.CallbackWithoutResult): mongoose.Query<any, ResultDoc_25, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    replaceOne<ResultDoc_26 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, replacement?: mongoose.AnyObject | {
        cID: string;
        for: string;
        name?: string;
    }, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<any>): mongoose.Query<import("mongodb").UpdateResult, ResultDoc_26, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    schema: mongoose.Schema<{
        cID: string;
        for: string;
        name?: string;
    }, mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>;
    update<ResultDoc_27 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, update?: mongoose.UpdateWithAggregationPipeline | mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<any>): mongoose.Query<import("mongodb").UpdateResult, ResultDoc_27, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    updateMany<ResultDoc_28 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, update?: mongoose.UpdateWithAggregationPipeline | mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<any>): mongoose.Query<import("mongodb").UpdateResult, ResultDoc_28, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    updateOne<ResultDoc_29 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(filter?: mongoose.FilterQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, update?: mongoose.UpdateWithAggregationPipeline | mongoose.UpdateQuery<{
        cID: string;
        for: string;
        name?: string;
    }>, options?: mongoose.QueryOptions<{
        cID: string;
        for: string;
        name?: string;
    }>, callback?: mongoose.Callback<any>): mongoose.Query<import("mongodb").UpdateResult, ResultDoc_29, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    where<ResultDoc_30 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(path: string, val?: any): mongoose.Query<ResultDoc_30[], ResultDoc_30, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    where<ResultDoc_31 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(obj: object): mongoose.Query<ResultDoc_31[], ResultDoc_31, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    where<ResultDoc_32 = mongoose.Document<unknown, any, {
        cID: string;
        for: string;
        name?: string;
    }> & {
        cID: string;
        for: string;
        name?: string;
    } & {
        _id: mongoose.Types.ObjectId;
    }>(): mongoose.Query<ResultDoc_32[], ResultDoc_32, {}, {
        cID: string;
        for: string;
        name?: string;
    }>;
    addListener(eventName: string | symbol, listener: (...args: any[]) => void): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    on(eventName: string | symbol, listener: (...args: any[]) => void): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    once(eventName: string | symbol, listener: (...args: any[]) => void): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    removeListener(eventName: string | symbol, listener: (...args: any[]) => void): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    off(eventName: string | symbol, listener: (...args: any[]) => void): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    removeAllListeners(event?: string | symbol): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    setMaxListeners(n: number): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    getMaxListeners(): number;
    listeners(eventName: string | symbol): Function[];
    rawListeners(eventName: string | symbol): Function[];
    emit(eventName: string | symbol, ...args: any[]): boolean;
    listenerCount(eventName: string | symbol): number;
    prependListener(eventName: string | symbol, listener: (...args: any[]) => void): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    prependOnceListener(eventName: string | symbol, listener: (...args: any[]) => void): mongoose.Model<{
        cID: string;
        for: string;
        name?: string;
    }, {}, {}, {}, mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        cID: string;
        for: string;
        name?: string;
    }>>;
    eventNames(): (string | symbol)[];
    discriminator<D>(name: string | number, schema: mongoose.Schema<any, mongoose.Model<any, any, any, any, any>, {}, {}, {}, {}, "type", {
        [x: string]: any;
    }>, value?: string | number | mongoose.Schema.Types.ObjectId | mongoose.DiscriminatorOptions): mongoose.Model<D, {}, {}, {}, any>;
    discriminator<T_3, U>(name: string | number, schema: mongoose.Schema<T_3, U, {}, {}, {}, {}, "type", mongoose.ObtainDocumentType<any, T_3, "type">>, value?: string | number | mongoose.Schema.Types.ObjectId | mongoose.DiscriminatorOptions): U;
    createIndexes(options: import("mongodb").CreateIndexesOptions, callback: mongoose.CallbackWithoutResult): void;
    createIndexes(callback: mongoose.CallbackWithoutResult): void;
    createIndexes(options?: import("mongodb").CreateIndexesOptions): Promise<void>;
    diffIndexes(options: Record<string, unknown>, callback: mongoose.Callback<mongoose.IndexesDiff>): void;
    diffIndexes(callback: mongoose.Callback<mongoose.IndexesDiff>): void;
    diffIndexes(options?: Record<string, unknown>): Promise<mongoose.IndexesDiff>;
    ensureIndexes(options: import("mongodb").CreateIndexesOptions, callback: mongoose.CallbackWithoutResult): void;
    ensureIndexes(callback: mongoose.CallbackWithoutResult): void;
    ensureIndexes(options?: import("mongodb").CreateIndexesOptions): Promise<void>;
    listIndexes(callback: mongoose.Callback<any[]>): void;
    listIndexes(): Promise<any[]>;
    syncIndexes(options: mongoose.SyncIndexesOptions, callback: mongoose.Callback<string[]>): void;
    syncIndexes(options?: mongoose.SyncIndexesOptions): Promise<string[]>;
    startSession(options: import("mongodb").ClientSessionOptions, callback: mongoose.Callback<import("mongodb").ClientSession>): void;
    startSession(callback: mongoose.Callback<import("mongodb").ClientSession>): void;
    startSession(options?: import("mongodb").ClientSessionOptions): Promise<import("mongodb").ClientSession>;
    get: (callback: any, limit: any) => void;
};
export = _exports;
export function get(callback: any, limit: any): void;
import mongoose = require("mongoose");
//# sourceMappingURL=channels.d.ts.map