const mongoose = require('mongoose');
const Schema = mongoose.Schema;

let strike = 
new Schema(
    {
        strikerID: {type: String, required: true, max: 100},
        strikerName:{type:String, required:true},
        strikerAvatar:{type:String, required:true},
        strokedID: {type:String, required: true,},
        strokedName:{type:String, required:true},
        strokedAvatar:{type:String, required:true},
        guildID:{type:String, required: true},
        reason:{type:String, required:true},
        validated:{type:Object, required:false},
        validatedBy:{type:String, required:false},
        date:{type:Date, required:true},
        expireAt:{type:Date, required:true},
    }
);




const S = module.exports = mongoose.model('strike', strike);
module.exports.get = (callback, limit)=>
{
   S.find(callback).limit(limit); 
}